﻿var title="", desc="", link="";
var timer = null;

function view_onOpen()
{
  title="Galatians 5:22-23";
  desc="But the fruit of the Spirit is love, joy, peace, patience, kindness, goodness, faithfulness, gentleness, self-control; against such things there is no law."
  link="http://www.gnpcb.org/esv/search/?passage=Galatians+5%3A22-23";
  tipbg.opacity=0;
  tip.opacity=0;
  q.visible = false;
  enter_lab.visible = false;
  url="http://www.gnpcb.org/esv/share/rss2.0/daily/";
  getverse(url);
  if(timer) {
    clearInterval(timer);
    timer = null;
  }
  else
    timer = setInterval("getverse(url)", 60 * 60 * 1000);  //Check mail every hour
}

function search_click()
{
  enter_lab.size=6;
  q.visible = true;
  enter_lab.visible = true;
  enter_lab.innerText = strExtract;
  beginAnimation("animate()", 0, 255, 255);
}

function animate()
{
  tipbg.opacity=event.value;
  tip.opacity=event.value;
}

function animate2()
{
  enter_lab.size=event.value;
}

function check_key()
{
  if(event.keyCode == 13)
  {
    enter_lab.innerText = strWait;
    beginAnimation("animate2()", 6, 7, 255);
    q.visible = false;
    url="http://www.gnpcb.org/esv/share/rss2.0/verse/?passage=" + q.value;
    getverse(url);
    beginAnimation("animate()", 255, 0, 255);
  }
}

function getverse(url)
{
  var http = new XMLHttpRequest();
  http.onreadystatechange = OnData;
  http.open("GET", url, true);
  http.send();

function OnData() {
  if (http.readyState == 4) { // completed?
    if(http.status == 200) {
      // parse the xml data received
      var doc = new DOMDocument();
      doc.loadXML(http.responseText);

      // read the word title, description and link from the xml
      title="";
      desc="";
      link="";
      var elem = doc.getElementsByTagName("item");
      if (elem != null && elem.length > 0) {
        for (var node = elem[0].firstChild; node != null; node = node.nextSibling) {
          if (node.nodeName == "title")
            title = node.firstChild.nodeValue;
          if (node.nodeName == "description")
            desc = node.firstChild.nodeValue;
          if (node.nodeName == "link")
            link = node.firstChild.nodeValue;
	
          book.innerText=title;
	  verse.innerText=desc;
	  enter_lab.visible=false;
        }
      }
    }
    else
    {
      title=strError;
      desc=strErrorDesc;
      link="";
      book.innerText=title;
      verse.innerText=desc;
      enter_lab.visible=false;
    }
  }
  }
}

function onVerseClick()
{
 var detailsView = new DetailsView();
 detailsView.SetContent( undefined, undefined, desc, false, 0);
 pluginHelper.ShowDetailsView(detailsView,title,gddDetailsViewFlagToolbarOpen+gddDetailsViewFlagShareWithButton, onDetailsViewFeedback);
}

function onDetailsViewFeedback(detailsViewFlags) {
  if (detailsViewFlags == gddDetailsViewFlagNone) {
    // User closed the details view
	http=null;
	CollectGarbage();
  } else if (detailsViewFlags == gddDetailsViewFlagToolbarOpen) {
    // User clicked on the title of the details view
	var winShell = new ActiveXObject("Shell.Application"); 
	winShell.ShellExecute(link); 
	winShell = null;
  }
}